Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/compute_sections.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/compute_sections.f90	(revision 2877)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/compute_sections.f90	(revision 2878)
@@ -2,8 +2,8 @@
    !!=====================================================================
    !!                       ***  MODULE  diadct  ***
-   !! Ocean diagnostics: Compute the transport trough a sec.
+   !! Ocean diagnostics: Compute the transport trough a section
    !!
+   !! History: 2011: Clement Bricaud, Mercator-Ocean
    !!
-   !! History: 2011: cbricaud Mercator-Ocean
    !!===============================================================
    !! * Modules used
@@ -301,7 +301,5 @@
            DO ji=1,jpi  
               coord_t=COORD_SECTION(glamf(ji,jj),gphif(ji,jj))
-!cbr              zdistFirst = distance(coord_t,coordFirst)
               zdistFirst = distance2(coord_t,coordFirst)
-!cbr              zdistLast = distance(coord_t,coordLast)
               zdistLast = distance2(coord_t,coordLast)
               IF( zdistFirst .LT. zdistmesh .AND. zdistFirst .LT. zdistante )THEN
@@ -370,5 +368,4 @@
 
      IF( sec%nb_point .ne. 0 )THEN
-     !IF( nb_inmesh .NE. 0 )THEN
 
         !The serie of mesh's points that form the section will 'link' 
@@ -393,5 +390,4 @@
 
         !initialize distnew value (with distance between section's extremities) 
-!cbr        zdistnew  = distance(coordFirst,coordLast,sec%ll_date_line) 
         zdistnew  = distance2(coordFirst,coordLast,sec%ll_date_line) 
         prevPoint  = POINT_SECTION(0,0)
@@ -596,9 +592,5 @@
                  CALL write_debug(jsec,cltmp)
                    
-                 ! on passe à l'ancienne methode: le point parmies les 4 pts (NSWE)  qui se rapproche
-                 ! le + du dernier pt
-                 !----------------------------- 
                  !be carreful! we can't go backward.
-
                  zdistNorth = zdistNorth2    ; zdistSouth = zdistSouth2
                  zdistEst   = zdistEst2      ; zdistWest  = zdistWest2 
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/declarations.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/declarations.f90	(revision 2877)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/declarations.f90	(revision 2878)
@@ -2,4 +2,6 @@
   !!----------------------------------------------------------------------------
   !!             *** declarations global varibles 
+  !!
+  !! History: 2011: Clement Bricaud, Mercator-Ocean
   !!
   !!----------------------------------------------------------------------------
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/diadct_sections.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/diadct_sections.f90	(revision 2877)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/diadct_sections.f90	(revision 2878)
@@ -2,7 +2,7 @@
      !!==============================================================================
      !!                       ***  PROGRAM generate_sections    ***
+     !!
      !! create a binary file containig the IJ positions of sections in global 
      !! coordinates for the diagnostic routine diadct.F90 of NEMO
-     !!
      !!
      !!
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readcoordmesh.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readcoordmesh.f90	(revision 2877)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readcoordmesh.f90	(revision 2878)
@@ -3,5 +3,5 @@
   !!                       ***  MODULE  readcoordmesh  ***
   !! 
-  !! History: 2011: cbricaud Mercator-Ocean
+  !! History: 2011: Clement Bricaud, Mercator-Ocean
   !! 
   !!=====================================================================
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readsections.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readsections.f90	(revision 2877)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readsections.f90	(revision 2878)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  readsections  ***
    !! 
-   !! History: 2011: cbricaud Mercator-Ocean
+   !! History: 2011: Clement Bricaud, Mercator-Ocean
    !! 
    !!=====================================================================
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/sections_tools.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/sections_tools.f90	(revision 2877)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/sections_tools.f90	(revision 2878)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  sections_tools  ***
    !! 
-   !! History: 2011: cbricaud Mercator-Ocean
+   !! History: 2011: Clement Bricaud, Mercator-Ocean
    !! 
    !!=====================================================================
@@ -14,5 +14,4 @@
    !! * Routine accessibility
    PUBLIC pointToCoordF         ! define a point with geographical coordinates
-   PUBLIC distance              ! compute distance between 2 points   
    PUBLIC distance2             ! compute distance between 2 points
    PUBLIC distance3             ! compute distance between a point and a line
@@ -42,34 +41,4 @@
 
   END FUNCTION pointToCoordF
-
-  REAL(wp) FUNCTION distance(coordA,coordB,ld_date_line)
-     !!---------------------------------------------------------------------
-     !!         ***  FUNCTION distance  ***
-     !!
-     !! ** Purpose: Compute distance between coordA and coordB
-     !!             We add 360° to coordB%long if the line (coordA,coordB)
-     !!             crosses the date-line.
-     !!
-     !!---------------------------------------------------------------------
-     !! * arguments
-     TYPE(COORD_SECTION), INTENT(IN) :: coordA,coordB
-     LOGICAL,INTENT(IN),OPTIONAL     :: ld_date_line
-
-     !! * Local declarations 
-     INTEGER ::idateline             ! local integer
-
-     !-----------------------------------------------
-     !
-     idateline=0
-     IF( PRESENT( ld_date_line))THEN
-       IF( ld_date_line )idateline=1
-     ENDIF
-     !
-     !function output
-     distance = (sqrt((coordA%lon-coordB%lon-360*idateline )**2 + (coordA%lat-coordB%lat )**2))
-     !
-     RETURN
-     !
-  END FUNCTION distance
 
   REAL(wp) FUNCTION distance2(coordA,coordB,ld_date_line)
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/writesections.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/writesections.f90	(revision 2877)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/writesections.f90	(revision 2878)
@@ -3,5 +3,5 @@
    !!                       ***  MODULE  writesections  ***
    !! 
-   !! History: 2011: cbricaud Mercator-Ocean
+   !! History: 2011: Clement Bricaud, Mercator-Ocean
    !! 
    !!=====================================================================