Index: branches/2011/dev_r2802_MERCATOR10_diadct/DOC/TexFiles/Chapters/Chap_DIA.tex
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/DOC/TexFiles/Chapters/Chap_DIA.tex	(revision 2901)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/DOC/TexFiles/Chapters/Chap_DIA.tex	(revision 2902)
@@ -684,4 +684,154 @@
 the off-line use of this marvellous diagnostic tool.
 
+
+% -------------------------------------------------------------------------------------------------------------
+%       Sections transports
+% -------------------------------------------------------------------------------------------------------------
+\section{Transports across sections (\key{diadct}) }
+\label{DIA_diag_dct}
+
+A module is available to compute volume, heat and salt tranports through sections. This diagnostic
+is actived with \key{diadct}.
+
+Each section is defined by the coordinates of its 2 extremities. The pathway between them is contructed
+with the tools \texttt{SECTIONS\_DIADCT} and is written in binary file \texttt{section\_ijglobal.diadct\_ORCA2\_LIM } 
+which might be read by NEMO to compute on-line transports.
+
+On-line transports module will create three ascii files for outputs: 
+
+- \texttt{volume\_transport} for volume transports (  unit: $10^{6} m^{3} s^{-1}$ )
+
+- \texttt{heat\_transport}   for heat transports   (  unit: $10^{15} W $ )
+
+- \texttt{salt\_transport}   for salt transports   (  unit: $10^{9}g s^{-1}$ )
+
+
+%------------------------------------------namdct----------------------------------------------------
+\namdisplay{namdct}
+%-------------------------------------------------------------------------------------------------------------
+
+Concerning the on-line transports computing, some parameters are available in namelist:
+
+- \texttt{nn\_dct} is the frequency of instantaneous transports computing
+
+- \texttt{nn\_dctwri} is the frequency of writing ( mean of instantaneous transports )
+
+- \texttt{nn\_debug} to debug a section
+
+
+
+\subsubsection{ How to compute sections pathway and create the binary file? }
+
+In \texttt{NEMOGCM/TOOLS/SECTIONS\_DIADCT/run}, \texttt{ {list\_sections.ascii\_global}}
+contains all the sections we want to compute; this list of sections is inspired from MERSEA project metrics.
+
+Another file is available for GYRE configuration (\texttt{ {list\_sections.ascii\_GYRE}}). 
+
+Each section is defined by:
+
+\noindent \texttt{ long1 lat1 long2 lat2 nclass (ok/no)strpond (no)ice section\_name }\\
+with:
+
+- \texttt{long1 lat1} , coordinates of the first extremity of the section;
+
+- \texttt{long2 lat2} , coordinates of the second extremity of the section;
+
+- \texttt{nclass} the number of bounds of your classes ( 3 bounds for 2 classes, for example);
+
+- \texttt{okstrpond} to compute heat and salt transport, \texttt{nostrpond} if no;
+
+- \texttt{ice}  to compute surface and volume ice transports, \texttt{noice} if no. \\
+
+
+\noindent Results of transports computing don't depend of the order of the 2 extremities in this file.\\ 
+
+
+\noindent If nclass =/ 0,the next lines will containes the class type and the nclass bounds:
+
+\texttt{long1 lat1 long2 lat2 nclass (ok/no)strpond (no)ice section\_name}
+
+\texttt{classtype}
+
+\texttt{zbound1}
+
+\texttt{zbound2}
+
+\texttt{.}
+
+\texttt{.}
+
+\texttt{nclass-1}
+
+\texttt{nclass}
+
+\noindent where \texttt{classtype} can be:
+
+- \texttt{zsal} for salinity classes
+
+- \texttt{ztem} for temperature classes
+
+- \texttt{zlay} for depth classes
+
+- \texttt{zsigi} for insitu density classes
+
+- \texttt{zsigp} for potential density classes \\
+
+  
+job.ksh compute the pathway for each section and create a binary file 
+\texttt{section\_ijglobal.diadct\_ORCA2\_LIM } which will be read by NEMO. \\
+
+
+Example of two sections:
+
+
+\noindent \texttt{ -68.    -54.5   -60.    -64.7  00 okstrpond noice ACC\_Drake\_Passage}
+
+\noindent \texttt{ -80.5    22.5   -80.5    25.5  05 nostrpond noice ATL\_Cuba\_Florida}
+
+\noindent \texttt{ztem}
+
+\noindent \texttt{-2.0}
+
+\noindent \texttt{ 4.5}
+
+\noindent \texttt{ 7.0}
+
+\noindent \texttt{12.0}
+
+\noindent \texttt{40.0}
+
+
+\subsubsection{ How to read the output files ? }
+
+The output format is :
+ 
+\small{\texttt{date, time-step number, section number, section name, section slope coefficient, class number, 
+class name, class bound 1 , classe bound2, transport\_sens1 ,  transport\_sens2, transport\_total}}\\
+
+
+If some sections have classes, the first lines correspond to the transport for each class 
+and the last line corresponds to the total transport for all classes. If the other case, class number
+\texttt{ 1 } corresponds to \texttt{ total class } and this class is called  \texttt{N}, like \texttt{none}.\\
+
+
+\noindent \texttt{ transport\_sens1 } is the positive part of the transport ( \texttt{ > = 0 } ).
+
+\noindent \texttt{ transport\_sens2 } is the negative part of the transport ( \texttt{ < = 0 } ).\\
+
+
+\noindent \texttt{section slope coefficient} gives some informations about the significations of transports signs and sens:\\
+
+
+
+\begin{tabular}{|c|c|c|c|p{4cm}|}
+\hline
+section slope coefficient & section type & sens 1 & sens 2 & total transport \\ \hline
+0.    &  horizontal & northward & southward & postive: northward  \\ \hline
+1000. &  vertical   & eastward  & westward  & postive: eastward  \\ \hline                
+\texttt{=/0, =/ 1000.}   &  diagonal   & eastward  & westward  & postive: eastward  \\ \hline                
+\end{tabular}
+
+
+
 % -------------------------------------------------------------------------------------------------------------
 %       Other Diagnostics
@@ -735,55 +885,5 @@
 \\
 \\
-A module is available to compute volume, heat and salt tranports through sections. This diagnostic
-is actived with \key{diadct}.
-
-
-%expliquer comment st ecrite les sorties, comment comprendre le sens
-
-%------------------------------------------namdct----------------------------------------------------
-\namdisplay{namdct}
-%-------------------------------------------------------------------------------------------------------------
-
-In \texttt{NEMOGCM/TOOLS/SECTIONS\_DIADCT/run},\\
-the file \texttt{ {list\_sections.ascii\_keep}}\\
-contains all the sections we want to compute.\\
-Each section is defined by:\\
-\texttt{ long1 lat1 long2 lat2 nclass (ok/no)strpond (no)ice section\_name }\\
-with:\\
-- \texttt{long1 lat1} , coordinates of the first extremity of the section;\\
-- \texttt{long2 lat2} , coordinates of the second extremity of the section;\\
-- \texttt{nclass} the number of bounds of your classes ( 3 bounds for 2 classes, for example);\\
-- \texttt{okstrpond} to compute heat and salt transport, \texttt{nostrpond} if no;\\
-- \texttt{ice}  to compute surface and volume ice transports, \texttt{noice} if no.\\
-\\
-If nclass =/ 0,the next lines will containes the class type and the nclass bounds:\\
-\texttt{long1 lat1 long2 lat2 nclass (ok/no)strpond (no)ice section\_name}\\
-\texttt{classtype}\\
-\texttt{zbound1}\\
-\texttt{zbound2}\\
-\texttt{.}\\
-\texttt{.}\\
-\texttt{nclass-1}\\
-\texttt{nclass}\\
-where \texttt{classtype} can be:\\
-- \texttt{zsal} for salinity classes\\
-- \texttt{ztem} for temperature classes\\
-- \texttt{zlay} for depth classes\\
-- \texttt{zsigi} for insitu density classes\\
-- \texttt{zsigp} for potential density classes\\
-\\  
-job.ksh compute the pathway for each section and create a binary file 
-\texttt{section\_ijglobal.diadct\_ORCA2\_LIM } which will be read by NEMO. \\
-\\
-Example of two sections:\\
-\\
-\texttt{ -68.    -54.5   -60.    -64.7  00 okstrpond noice ACC\_Drake\_Passage}\\
-\texttt{ -80.5    22.5   -80.5    25.5  05 nostrpond noice ATL\_Cuba\_Florida}\\
-\texttt{ztem}\\
-\texttt{-2.0}\\
-\texttt{ 4.5}\\
-\texttt{ 7.0}\\
-\texttt{12.0}\\
-\texttt{40.0}\\
+
 
 