Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 2909)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 2912)
@@ -277,5 +277,5 @@
         READ(numdct_in,iostat=iost)isec
         IF (iost .NE. 0 )EXIT !end of file 
-        WRITE(cltmp,'(a,i4.4,a,i4.4)')'diadct: read sections : Problem of section number: isec= ',isec,' et jsec= ',jsec
+        WRITE(cltmp,'(a,i4.4,a,i4.4)')'diadct: read sections : Problem of section number: isec= ',isec,' and jsec= ',jsec
         IF( jsec .NE. isec )  CALL ctl_stop( cltmp )
 
@@ -306,5 +306,6 @@
             WRITE(numout,*)                  "      Number of points in the section:  ",iptglo
             WRITE(numout,*)                  "      Number of classes                 ",secs(jsec)%nb_class
-            WRITE(numout,'(A40,10(f8.3,1X))')"      Insitu density classes :          ",secs(jsec)%zsigi
+!            WRITE(numout,'(A40,10(f8.3,1X))')"      Insitu density classes :          ",secs(jsec)%zsigi
+            WRITE(numout,'(A40,nb_class_max(f8.3,1X))')"      Insitu density classes :          ",secs(jsec)%zsigi
             WRITE(numout,'(A40,10(f8.3,1X))')"      Potential density classes :       ",secs(jsec)%zsigp
             WRITE(numout,'(A40,10(f8.3,1X))')"      Salinity classes :                ",secs(jsec)%zsal
@@ -353,5 +354,5 @@
                  iptloc = iptloc + 1                                                 ! count local points
                  secs(jsec)%listPoint(iptloc) = POINT_SECTION(mi0(iiglo),mj0(ijglo)) ! store local coordinates
-                 secs(jsec)%direction(iptloc) = directemp(jpt)               ! store local direction
+                 secs(jsec)%direction(iptloc) = directemp(jpt)                       ! store local direction
               ENDIF
 
@@ -362,6 +363,5 @@
            !debug
            !-----
-           !IF( lwp .AND. ( jsec==nn_secdebug .OR. nn_secdebug==-1 ) )THEN
-           IF(  ( jsec==nn_secdebug .OR. nn_secdebug==-1 ) )THEN
+           IF(   lwp .AND. ( jsec==nn_secdebug .OR. nn_secdebug==-1 ) )THEN
               WRITE(numout,*)"      List of points selected by the proc:"
               DO jpt = 1,iptloc
@@ -369,5 +369,4 @@
                  ijglo = secs(jsec)%listPoint(jpt)%J + jpjzoom - 1 + njmpp - 1
                  WRITE(numout,*)'         # I J : ',iiglo,ijglo
-                 !WRITE(narea+200,*)'         # I J : ',iiglo,ijglo
               ENDDO
            ENDIF
@@ -396,5 +395,5 @@
         ELSE  ! iptglo = 0
            IF( lwp .AND. ( jsec==nn_secdebug .OR. nn_secdebug==-1 ) )&
-              WRITE(numout,*)'   Not points for this section.'
+              WRITE(numout,*)'   No points for this section.'
         ENDIF
 
@@ -425,10 +424,11 @@
                 itest         ,& !indice value of the side of the domain 
                                  !where points could be redundant
-                isgn          ,& !way of course in listpoint
-                ipoint          ,& !way of course in listpoint
+                isgn          ,& ! isgn= 1 : scan listpoint from start to end
+                                 ! isgn=-1 : scan listpoint from end to start 
+                ipoint        ,& !way of course in listpoint
                 istart,iend      !first and last points selected in listpoint
      INTEGER :: jpoint   =0      !loop on list points
-     INTEGER,DIMENSION(nb_point_max)   :: idirec !contains temporare sec%direction
-     INTEGER,DIMENSION(2,nb_point_max) :: icoord !contains temporare sec%listpoint
+     INTEGER,DIMENSION(nb_point_max)   :: idirec !contains temporary sec%direction
+     INTEGER,DIMENSION(2,nb_point_max) :: icoord !contains temporary sec%listpoint
      !----------------------------------------------------------------------------
      IF( ld_debug )WRITE(numout,*)'      -------------------------'
@@ -482,5 +482,5 @@
 
   SUBROUTINE transport(sec,ld_debug)
-     !!---------------------------------------------------------------------
+     !!-------------------------------------------------------------------------------------------
      !!                     ***  ROUTINE transport  ***
      !!
@@ -497,9 +497,8 @@
      !!              test on the density/temperature/salinity/level
      !!
-     !! ** Output: sec%transport: transport in the 2 direction and temperature, 
-     !!                       salinity, density meaned by the transport
-     !!
-     !!
-     !!-------------------------------------------------------------------
+     !! ** Output: sec%transport: volume/mass/ice/heat/salt transport in the 2 directions
+     !!
+     !!
+     !!-------------------------------------------------------------------------------------------
      !! * Arguments
      TYPE(SECTION),INTENT(INOUT) :: sec
@@ -513,11 +512,11 @@
                 zumid_ice    , zvmid_ice    ,&!U/V ice velocity
                 zTnorm                      ,&!transport of velocity through one cell's sides
-                ztransp1     , ztransp2     ,&!total        transport in sens 1 and 2
+                ztransp1     , ztransp2     ,&!total        transport in directions 1 and 2
                 ztemp1       , ztemp2       ,&!temperature  transport     "
                 zrhoi1       , zrhoi2       ,&!mass         transport     "
                 zrhop1       , zrhop2       ,&!mass         transport     "
                 zsal1        , zsal2        ,&!salinity     transport     "
-                zice_vol_pos , zice_vol_neg ,&!volumic  ice transport     "
-                zice_surf_pos, zice_surf_neg  !surfacic ice transport     "
+                zice_vol_pos , zice_vol_neg ,&!volume  ice  transport     "
+                zice_surf_pos, zice_surf_neg  !surface ice  transport     "
      REAL(wp):: ztn, zsn, zrhoi, zrhop, zsshn, zfsdep ! temperature/salinity/ssh/potential density /depth at u/v point
      REAL(wp) :: aj,i0,j0,i1,j1,i,j
@@ -545,6 +544,6 @@
         !
         !convention:
-        !   non horizontal section: sens + is toward left hand of section
-        !       horizontal section: sens + is toward north of section
+        !   non horizontal section: direction + is toward left hand of section
+        !       horizontal section: direction + is toward north of section
         !
         !
@@ -552,13 +551,13 @@
         !       ----------------      -----------------     ---------------             --------------
         !
-        !   isgnv=1         sens +      
-        !  ______         _____             ______(i1,j1)      (i1,j1)                                      
-        !(i0,j0) |           //|            |                  |                   sens +   
-        !        | isgnu=1  // |            |isgnu=1           |isgnu=1              /|\
-        !        |_______  //         ______|    \\            | ---\                 |
-        !               |             | isgnv=-1  \\ |         | ---/ sens +       ____________(i1,j1) 
-        !               |             |          __\\|         |               (i0,j0)
-        !               |(i1,j1)      |(i0,j0)   sens +        |                      isgnv=1                                 
-        !                                                      (i0,j0)
+        !   isgnv=1         direction +      
+        !  ______         _____             ______                                                   
+        !        |           //|            |                  |                         direction +   
+        !        | isgnu=1  // |            |isgnu=1           |isgnu=1                     /|\
+        !        |_______  //         ______|    \\            | ---\                        |
+        !               |             | isgnv=-1  \\ |         | ---/ direction +       ____________
+        !               |             |          __\\|         |                    
+        !               |             |     direction +        |                      isgnv=1                                 
+        !                                                      
         !----------------------------------------------------------------------------------------------------
         isgnu = 1
@@ -576,4 +575,6 @@
            !------------------------------------------
            ! Select good coordinate to have velocity of the segment
+           !
+           ! CASE( sec%direction(jseg) :
            !
            !              |U CASE(3)
@@ -647,5 +648,5 @@
 
 
-                    !compute velocity with the good sens
+                    !compute velocity with the correct direction
                     SELECT CASE( sec%direction(jseg) )
                     CASE(0,1)  
@@ -657,5 +658,5 @@
                     END SELECT
 
-                    !velocity* cell's lenght * cell's thickness
+                    !velocity* cell's length * cell's thickness
                     zTnorm=zumid*e2u(k%I,k%J)*  fse3u(k%I,k%J,jk)+     &
                            zvmid*e1v(k%I,k%J)*  fse3v(k%I,k%J,jk)
@@ -769,9 +770,9 @@
 
 
-     ELSE  !if nb_inmesh=0
+     ELSE  !if sec%nb_point =0
         zsum(1:2,:)=0.
         IF (sec%llstrpond) zsum(3:10,:)=0.
         zsum( 11:14,:)=0.
-     ENDIF   !end of nb_inmesh=0 case
+     ENDIF   !end of sec%nb_point =0 case
 
      !-------------------------------|